SDL_GetWindowPixelDensity(3)

NAME
SDL_GetWindowPixelDensity - Get the pixel density of a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_GetWindowPixelDensity(SDL_Window *window);

DESCRIPTION
This is a ratio of pixel size to window size. For example, if the window is 1920x1080 and it has a high density back buffer of 3840x2160 pixels, it would have a pixel density of 2.0.

FUNCTION PARAMETERS

window
    the window to query

RETURN VALUE
Returns the pixel density or 0.0f on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowDisplayScale(3)